%def_disable static
%remove_optflags -O2
%add_optflags -Os
%define rel rc2

Name: libtorrent
Version: 0.12
Release: alt1.%rel

Summary: libTorrent is a BitTorrent library written in C++ for *nix
Group: System/Libraries
License: GPL
Url: http://www.rasterbar.com/products/libtorrent
Packager: Alexey Morsov <swi@altlinux.ru>

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Fri Dec 22 2006
BuildRequires: boost-datetime-devel boost-filesystem-devel boost-program-options-devel boost-regex-devel boost-thread-devel gcc-c++ glibc-devel-static zlib-devel

BuildRequires: boost-serialization-devel

%description
libTorrent is designed to avoid redundant copying and storing of data that
other clients and libraries suffer from. libTorrent features:

* The client has full control over the polling of sockets.
* Sigc++ signals makes it easy for the client to react to events.
* Fast resume which checks the file modification time.
* Direct reading and writing from network to mmap'ed files.
* File hash check uses the same thread; client can control the rate;
  non-blocking and preload to memory with the mincore and madvise.
* File handler: fine-grained use of file read/write permissions, allows seeding
  of read-only files; allows torrents with unlimited number of files; opens
  closed files when mapping chunks to memory, with graceful error handling;
  support for files larger than 2 GB; different download priorities for files
  in the torrent.
* Multi-tracker support.
* No dependency on any specific HTTP library, the client implements a wrapper
  class.
* Dynamic request pipe size.
* Upload and download throttle.
* And much more...

%package devel
Summary: Development libraries and header files for libTorrent
Group: Development/C++
Requires: %name = %version-%release

%description devel
The libtorrent-devel package contains libraries and header files needed
to develop applications using libTorrent.

%package devel-static
Summary: Development static library for libTorrent
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of libTorrent library. Install
libtorrent-devel-static if you want to develop applications statically linked
with libTorrent.

%prep
%setup -q

mv -f COPYING COPYING.orig
ln -s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING

%build
#__aclocal -I m4
#__autoheader
#__libtoolize --copy --force
#__automake --add-missing --copy --gnu
#__autoconf
%configure %{subst_enable static} --with-boost-thread=gcc-mt
# --with-boost-serialization=gcc-mt
%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_disabled static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README
%doc --no-dereference COPYING

%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Apr 10 2007 Alexey Morsov <swi@altlinux.ru> 0.12-alt1.rc2
- new version
- truncate changelog for this is not the same libtorrent 
(old libtorrent now renamed to librtorrent)

* Fri Dec 22 2006 Alexey Morsov <swi@altlinux.ru> 0.11-alt1
- NMU: version 0.11 (for qBittorrent)
- fix BuildRequires
- add patch for configure (add boost.serialization test)

